Update a trade
curl --request PATCH \
--url https://app.sure.am/api/v1/trades/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"trade": {
"name": "<string>",
"date": "2023-12-25",
"amount": 123,
"currency": "<string>",
"notes": "<string>",
"qty": 123,
"price": 123,
"investment_activity_label": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://app.sure.am/api/v1/trades/{id}"
payload = { "trade": {
"name": "<string>",
"date": "2023-12-25",
"amount": 123,
"currency": "<string>",
"notes": "<string>",
"qty": 123,
"price": 123,
"investment_activity_label": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
} }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trade: {
name: '<string>',
date: '2023-12-25',
amount: 123,
currency: '<string>',
notes: '<string>',
qty: 123,
price: 123,
investment_activity_label: '<string>',
category_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://app.sure.am/api/v1/trades/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"currency": "<string>",
"name": "<string>",
"qty": 123,
"price": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"investment_activity_label": "<string>",
"security": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>"
},
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Trades
Update a trade
PATCH
/
api
/
v1
/
trades
/
{id}
Update a trade
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Trade ID
Body
application/json
Show child attributes
Show child attributes
Response
trade updated
Formatted monetary amount (e.g. "$1,234.56")
Quantity of shares or units traded. Negative for sells.
Formatted price per unit
Show child attributes
Show child attributes
Activity label such as Buy, Sell, Dividend, etc.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I